GNU Trove

## gnu.trove
Class TLinkableAdapter

    java.lang.Object
      gnu.trove.TLinkableAdapter

All Implemented Interfaces:
  TLinkable, java.io.Serializable

    public class TLinkableAdapter

extends java.lang.Object
implements TLinkable

Adapter for TLinkable interface which implements the interface and can therefore be extended trivially to create TLinkable objects without having to implement the obvious.

Created: Thurs Nov 15 16:25:00 2001

Version:
  $Id: TLinkableAdapter.java,v 1.1 2006/11/10 23:27:56 robeden Exp $
Author:
  Jason Baldridge
See Also:
  `TLinkedList`, Serialized Form

Constructor Summary
`TLinkableAdapter()`

Method Summary
`TLinkable` `getNext()` Returns the linked list node after this one.
`TLinkable` `getPrevious()` Returns the linked list node before this one.
`void` `setNext(TLinkable linkable)` Sets the linked list node after this one.
`void` `setPrevious(TLinkable linkable)` Sets the linked list node before this one.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TLinkableAdapter

    public TLinkableAdapter()

Method Detail

### getNext

    public TLinkable getNext()

  Returns the linked list node after this one.

  Specified by:
    `getNext` in interface `TLinkable`
  Returns:
    a `TLinkable` value

### getPrevious

    public TLinkable getPrevious()

  Returns the linked list node before this one.

  Specified by:
    `getPrevious` in interface `TLinkable`
  Returns:
    a `TLinkable` value

### setNext

    public void setNext(TLinkable linkable)

  Sets the linked list node after this one.

  Specified by:
    `setNext` in interface `TLinkable`
  Parameters:
    `linkable` - a `TLinkable` value

### setPrevious

    public void setPrevious(TLinkable linkable)

  Sets the linked list node before this one.

  Specified by:
    `setPrevious` in interface `TLinkable`
  Parameters:
    `linkable` - a `TLinkable` value

GNU Trove

GNU Trove is copyright © 2001-2009 Eric D. Friedman. All Rights Reserved.